PPPOE-SNIFF(8)

NOM
pppoe-sniff - Examiner le réseau pour des trames PPPoE non normalisées

SYNOPSIS
pppoe-sniff [options]

DESCRIPTION
pppoe-sniff se met à l'écoute de paquets ressemblant à des paquets de découverte « Requête » PADR PPPoE et de trames de sessions et en déduit les options supplémentaires requises au fonctionnement de pppoe(8). Certains fournisseurs DSL semblent utiliser des types de trame non normalisés pour les trames PPPoE, et/ou requièrent une certaine valeur dans le champ Nom-Service. Il est souvent plus facile de renifler ces valeurs à partir d'une machine qui peut être connectée avec succès plutôt qu'essayer de fouiller auprès du fournisseur DSL. Pour utiliser pppoe-sniff, vous avez besoin de deux ordinateurs, d'un modem DSL et d'un concentrateur Ethernet (pas un commutateur Ethernet). Si le modem DSL est normalement connecté directement à la carte Ethernet de votre ordinateur, connectez-le sur le port « ascendant » du concentrateur Ethernet. Connectez les deux ordinateurs sur des ports normaux du concentrateur. Sur un des ordinateurs, lancez n'importe lequel des logiciels que le fournisseur DSL vous a donnés sur n'importe lequel des systèmes d'exploitation que le fournisseur DSL supporte. Sur l'autre ordinateur, lancez Linux et identifiez-vous comme super-utilisateur. Sur la machine Linux, mettez l'interface Ethernet en mode espion et lancez pppoe-sniff. Si l'interface Ethernet est eth0, par exemple, tapez ces commandes :
	ifconfig eth0 promisc
	pppoe-sniff -I eth0
Sur l'autre machine, démarrez votre connexion DSL comme d'habitude. Après un court instant, pppoe-sniff devrait afficher des recommandations pour la valeur de PPPOE_EXTRA. Réglez cette valeur dans /etc/ppp/pppoe.conf. Si pppoe-sniff indique que quelque chose de particulier est requis par PPPOE_EXTRA, SVP envoyez-le par courrier électronique à pppoe@roaringpenguin.com accompagné par le nom de votre FAI ainsi que le fabricant et le numéro du modèle de votre modem DSL. Cette information sera collectée et fournie sur la page web PPPoE pour les utilisateurs qui n'ont pas deux ordinateurs. Après que pppoe-sniff ait fini (ou que vous l'ayez arrêté car il vous semblait suspendu), n'oubliez pas de désactiver le mode espion :
	ifconfig eth0 -promisc

OPTIONS

-I interface
    L'option -I spécifie l'interface Ethernet à utiliser. Sous Linux, celle-ci est typiquement eth0 ou eth1. L'interface devrait être « montée » et configurée dans le mode espion avant que vous ne lanciez pppoe-sniff.

-V  L'option -V provoque l'affichage du numéro de version et la sortie de pppoe-sniff.

BOGUES
pppoe-sniff fonctionne seulement sous Linux.

AUTEUR
pppoe-sniff a été écrit par David F. Skoll <dfs@roaringpenguin.com>. La page d'accueil pppoe est http://www.roaringpenguin.com/pppoe/.

VOIR AUSSI
pppoe-start(8), pppoe-stop(8), pppoe-connect(8), pppd(8), pppoe.conf(5), pppoe(8), pppoe-setup(8), pppoe-status(8), pppoe-server(8), pppoe-relay(8)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 3 février 2003 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 pppoe-sniff ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.